camp_triggers = {
	['Repair'] = {
		['condition'] = 'true',
		['action'] = 'Action.AirUnitRepair()',
		['active'] = true,
	},
	['TF-72 Patrol ATest Sea'] = {
		['condition'] = 'Return.Mission() == 1',
		['once'] = true,
		['action'] = 'Action.ShipMission("TF-72", {{"Indy 2-1", "Indy 2-2", "Indy 2-3", "Indy 2-4"}}, 10, 8, nil)',
		['active'] = false,
	},
	['All Squadrons relocalization after LHA Tarawa loss'] = {
		['condition'] = 'Return.UnitDead("LHA_Tarawa")',
		['once'] = true,
		['action'] = {
			[1] = 'Action.Text("After the LHA Tarawa has been hit by air strikes, all squadrons planes are no longer able to operate from this platform.")',
		},
		['active'] = true,
	},
	['CAP After EWR Destroyed'] = {
		['condition'] = 'Return.TargetAlive("EWR 1 501") == 0 and Return.TargetAlive("EWR 2 502") == 0 and Return.TargetAlive("EWR 3 503") == 0',
		['action'] = {
			[7] = 'Action.TargetActive("Kutaisi Interception 1", false)',
			[1] = 'Action.TargetActive("CAP Red North", true)',
			[2] = 'Action.TargetActive("CAP Red Center", true)',
			[4] = 'Action.TargetActive("Batumi Interception 1", false)',
			[8] = 'Action.TargetActive("Mozdok Interception 1", false)',
			[9] = 'Action.Text("With the recent destruction of all Early Warning Radar sites in the operations area, the ability of the enemy to launch interceptors against our strike packages was severely degraded. Intelligence expects that the enemy will increasingly depend on Combat Air Patrols to compensate, though without the support of ground controllers these are estimated to be of limited effectiveness.")',
			[5] = 'Action.TargetActive("Sukhumi Interception 1", false)',
			[3] = 'Action.TargetActive("CAP Red South", true)',
			[6] = 'Action.TargetActive("Gudauta Interception 1", false)',
		},
		['active'] = true,
	},
	['Cargo convoy 2 Patrol ATest Sea'] = {
		['condition'] = 'Return.Mission() == 1',
		['once'] = true,
		['action'] = 'Action.ShipMission("Cargo convoy 2", {{"Ships 1-5", "Ships 1-4", "Ships 1-3", "Ships 1-2"}}, 8, 5, nil)',
		['active'] = false,
	},
	['GroundUnitRepair'] = {
		['condition'] = 'true',
		['action'] = 'Action.GroundUnitRepair()',
		['active'] = true,
	},
	['Campaign End Victory 1'] = {
		['condition'] = 'GroundTarget["blue"].percent < 60',
		['once'] = true,
		['action'] = {
			[2] = 'Action.Text("The US Navy units deployed off the coasts of Georgia have successfully destroyed all the targets that they were assigned by US Central Command. With the complete destruction of the Russian airforce over Georgia, the air campaign of this war comes to an end. Russian will soon begin to withdraw from Georgia. Well done.")',
			[3] = 'Action.AddImage("Newspaper_Victory_blue.jpg", "blue")',
			[1] = 'Action.CampaignEnd("win")',
			[4] = 'Action.AddImage("Newspaper_Defeat_red.jpg", "red")',
			[5] = 'NoMoreNewspaper = true',
		},
		['active'] = true,
	},
	['Campaign first destructions'] = {
		['condition'] = 'GroundTarget["blue"].percent < 100',
		['once'] = true,
		['action'] = {
			[1] = 'Action.Text("First targets have been destroyed. Keep up the good work")',
		},
		['active'] = true,
	},
	['Campaign End Draw'] = {
		['condition'] = 'MissionInstance == 40',
		['once'] = true,
		['action'] = {
			[1] = 'Action.CampaignEnd("draw")',
			[2] = 'Action.Text("The air campaign has seen a sustained period of inactivity. Seemingly unable to complete the destruction of the Russian Air Force and infrastructure, US Central Command has called off all squadrons from offensive operations. We hope negociations with Russians will convince them to withdraw from Georgia")',
			[3] = 'NoMoreNewspaper = true',
		},
		['active'] = true,
	},
	['TF-71 Patrol ATest Sea'] = {
		['condition'] = 'Return.Mission() == 1',
		['once'] = true,
		['action'] = 'Action.ShipMission("TF-71", {{"Indy 1-1", "Indy 1-2", "Indy 1-3", "Indy 1-4"}}, 10, 8, nil)',
		['active'] = false,
	},
	['Campaign 40 percents destructions'] = {
		['condition'] = 'GroundTarget["blue"].percent < 60',
		['once'] = true,
		['action'] = {
			[1] = 'Action.Text("Enemy targets have sustained great damages. Strike missions are really efficient and we will win this war soon")',
		},
		['active'] = true,
	},
	['Campaign Briefing'] = {
		['condition'] = 'true',
		['once'] = true,
		['action'] = {
			[2] = 'Action.Text("The US Navy has sent considerable forces near Georgia. The Task Force 71 is leaded by the CVN-71 Theodore Roosevelt. At the forefront are the F/A-18C of the VFA-106 and VMFA-312 who are tasked to attack Russian air defenses, Airbases and many strategical targets in Georgia like bridges train stations and Harbors with the help of VA-176 and VA-65 A-6E Intruders. Air superiority and strikers escort will be the mission of the VF-31 and VF-143 with their legendary F-14A Tomcats. E-2D will provide AWACS constant cover. Together these squadrons form a powerful and mighty force. We hope to have USAF Bombers support soon with B-1B and B-52H long range missions.")',
			[3] = 'Action.Text("The Russian Air Force is flying a mix of MiG-21, MiG-25 and MiG-23 fighters directed by ground based early warning radar. Air bases and target complexes of high value are protected by a variety of surface-air missile systems, such as the Sa-2 Guindeline, SA-6 Gainful, the SA-8 Gecko and the SA-3 Goa, as well as short-range IR-SAMs and AAA. Our goal will be to gain air superiority over Georgia by neutralizing main bases in the country and destroying SAM systems. Russia Homeland is strictly forbidden. You are not allowed to attack ground target in Russia but air to air combat can be initiated near and over Russia. Our Task Force can be targeted by Russians anti-ship fleet : Su-24, Tu-22 and TU-142 with dangerous missiles")',
			[1] = 'Action.Text("In a desperate try to free from russian tyrany, Georgia patriots tried to bring down the governement. This action was reprimed with violence by russian troops and loyal Georgian forces. Many civilians were killed and tortured to prevent any other freedom movements. United Nations were not able to stop russians violences and the United States of America decided to do something to convince Russia to stop this. Turkish government was not ready to open his bases to US attack planes and only one Navy Task Force can be sent near Georgian coasts to show Russia they have to stop violence in Georgia.")',
			[4] = 'Action.AddImage("Newspaper_FirstNight_blue.jpg", "blue")',
			[5] = 'Action.AddImage("Newspaper_FirstNight_red.jpg", "red")',
		},
		['active'] = false,
	},
	['All Missions relocalization after CVN-71 loss'] = {
		['condition'] = 'Return.UnitDead("CVN-71 Theodore Roosevelt")',
		['once'] = true,
		['action'] = {
			[13] = 'Action.TargetActive("Recovery Tanker 2-CVN72", true)',
			[7] = 'Action.TargetActive("Mission Support Tanker 2", false)',
			[1] = 'Action.TargetActive("CVN-71 Theodore Roosevelt Interception", false)',
			[2] = 'Action.TargetActive("Battle Group CAP", false)',
			[4] = 'Action.TargetActive("Battle Group AEW", false)',
			[8] = 'Action.TargetActive("Recovery Tanker", false)',
			[9] = 'Action.TargetActive("Recovery Tanker 2", false)',
			[5] = 'Action.TargetActive("Roosevelt SAR Alert", false)',
			[10] = 'Action.TargetActive("Battle Group CAP 2-CVN72", true)',
			[3] = 'Action.TargetActive("Battle Group CAP 2", false)',
			[6] = 'Action.TargetActive("Mission Support Tanker", false)',
			[12] = 'Action.TargetActive("Recovery Tanker-CVN72", true)',
			[11] = 'Action.TargetActive("Mission Support Tanker 2-CVN72", true)',
		},
		['active'] = true,
	},
	['Unit Activate B-52H'] = {
		['condition'] = 'Return.TargetAlive("SA-2 Guideline Site N1") == 0 and Return.TargetAlive("SA-2 Guideline Site N2") == 0 and Return.TargetAlive("SA-2 Guideline Site C1") == 0 and Return.TargetAlive("SA-2 Guideline Site S1") == 0',
		['once'] = true,
		['action'] = {
			[1] = 'Action.AirUnitActive("96 BW", true)',
			[2] = 'Action.AirUnitActive("69 BS", true)',
			[3] = 'Action.Text("After Russians SAM sites destruction, B-52H from 96 BS will begin long range missions against important targets such as airbases, railway stations and bridges. They will need air protection")',
		},
		['active'] = true,
	},
	['Campaign 50 percents destructions'] = {
		['condition'] = 'GroundTarget["blue"].percent < 50',
		['once'] = true,
		['action'] = {
			[1] = 'Action.Text("More than half of our targets are neutralized. Intelligence think that the enemy will ask for a cease fire soon")',
		},
		['active'] = true,
	},
	['CVN-72 Abraham Lincoln sunk'] = {
		['condition'] = 'Return.UnitDead("CVN-72 Abraham Lincoln")',
		['action'] = {
			[1] = 'Action.Text("After the CVN-72 Abraham Lincoln has been hit by air strikes and sunk, Squadrons will try to transfert to CVN-71 or will not be able to fly anymore")',
		},
		['active'] = true,
	},
	['All Missions relocalization after CVN-72 loss'] = {
		['condition'] = 'Return.UnitDead("CVN-72 Abraham Lincoln")',
		['once'] = true,
		['action'] = {
			[7] = 'Action.TargetActive("Mission Support Tanker 2-CVN72", false)',
			[1] = 'Action.TargetActive("CVN-72 Abraham Lincoln Interception", false)',
			[2] = 'Action.TargetActive("Battle Group CAP-CVN72", false)',
			[4] = 'Action.TargetActive("Battle Group AEW-CVN72", false)',
			[8] = 'Action.TargetActive("Recovery Tanker-CVN72", false)',
			[9] = 'Action.TargetActive("Recovery Tanker 2-CVN72", false)',
			[5] = 'Action.TargetActive("Lincoln SAR Alert", false)',
			[3] = 'Action.TargetActive("Battle Group CAP 2-CVN72", false)',
			[6] = 'Action.TargetActive("Mission Support Tanker-CVN72", false)',
		},
		['active'] = true,
	},
	['Campaign End Victory 2'] = {
		['condition'] = 'Return.totalAirUnitAliveBySide("red") < 10',
		['once'] = true,
		['action'] = {
			[2] = 'Action.Text("Russian forces are completly defeated. After repeated air strikes and disastrous losses in air-air combat, the russians are no longer able to produce any sorties or offer any resistance. The US Navy now owns complete air superiority. With the disappearance of the air threat, we hope that russians will decide to leave Georgia quickly. Well done.")',
			[3] = 'Action.AddImage("Newspaper_Victory_blue.jpg", "blue")',
			[1] = 'Action.CampaignEnd("win")',
			[4] = 'Action.AddImage("Newspaper_Defeat_red.jpg", "red")',
			[5] = 'NoMoreNewspaper = true',
		},
		['active'] = true,
	},
	['LHA-Group Far from Georgian Coasts'] = {
		['condition'] = 'Return.Mission() == 1',
		['once'] = true,
		['action'] = {
			[1] = 'Action.ShipMission("LHA-Group", {{"Indy 3-1", "Indy 3-2", "Indy 3-3", "Indy 3-4"}}, 10, 8, nil)',
		},
		['active'] = false,
	},
	['Campaign 20 percents destructions'] = {
		['condition'] = 'GroundTarget["blue"].percent < 80',
		['once'] = true,
		['action'] = {
			[1] = 'Action.Text("Enemy targets have sustained fair damages. Keep up the good work")',
		},
		['active'] = true,
	},
	['All Missions relocalization after LHA Tarawa'] = {
		['condition'] = 'Return.UnitDead("LHA_Tarawa")',
		['once'] = true,
		['action'] = {
			[1] = 'Action.TargetActive("Tarawa SAR Alert", false)',
		},
		['active'] = true,
	},
	['Campaign End Loss'] = {
		['condition'] = 'Return.AirUnitAlive("VFA-106") < 2 or Return.AirUnitActive("VFA-106") == false',
		['once'] = true,
		['action'] = {
			[2] = 'Action.Text("Ongoing combat operations have exhausted your squadron. Loss rate has reached a level where reinforcements are no longer able to sustain combat operations. With the failure of US Navy Air Force to attain air superiority, US Central Command has decided to call of the air campaign against the Russians. They will be abble to stay in Georgia and our diplomatic power in the world is really weaked by this defeat.")',
			[3] = 'Action.AddImage("Newspaper_Victory_red.jpg", "red")',
			[1] = 'Action.CampaignEnd("loss")',
			[4] = 'Action.AddImage("Newspaper_Defeat_blue.jpg", "blue")',
			[5] = 'NoMoreNewspaper = true',
		},
		['active'] = true,
	},
	['Blue Ground Target Briefing Intel'] = {
		['condition'] = 'true',
		['action'] = 'Action.AddGroundTargetIntel("blue")',
		['active'] = true,
	},
	['Cargo convoy 1 Patrol ATest Sea'] = {
		['condition'] = 'Return.Mission() == 1',
		['once'] = true,
		['action'] = 'Action.ShipMission("Cargo convoy 1", {{"Ships 1-1", "Ships 1-2", "Ships 1-3", "Ships 1-4"}}, 8, 5, nil)',
		['active'] = false,
	},
	['LHA Group Close to Georgian Coasts'] = {
		['condition'] = 'Return.AirUnitReady("368.ShAP") + Return.AirUnitReady("559.BAP") + Return.AirUnitReady("52.TBAP") + Return.AirUnitReady("959.BAP") + Return.AirUnitReady("79.TBAP") < 10',
		['once'] = true,
		['action'] = {
			[1] = 'Action.ShipMission("LHA Group", {{"Indy 3-5", "Indy 3-6", "Indy 3-7", "Indy 3-8"}}, 10, 8, nil)',
			[2] = 'Action.Text("After the estimated near destruction of all the enemy anti-ship air squadrons, LHA Group is allowed to move closer of Georgian coast.")',
		},
		['active'] = true,
	},
	['Campaign End Loss 2'] = {
		['condition'] = 'Return.UnitDead("CVN-72 Abraham Lincoln") and Return.UnitDead("CVN-71 Theodore Roosevelt")',
		['once'] = true,
		['action'] = {
			[2] = 'Action.Text("After all CVN have been hit by air strikes and sunk, Squadrons are no longer able to fly. Most of their planes are deep into the Caucasian waters and it will need a long time to restore those unit s capabilities. This is a bitter failure for the Navy")',
			[3] = 'Action.AddImage("Newspaper_Victory_red.jpg", "red")',
			[1] = 'Action.CampaignEnd("loss")',
			[4] = 'Action.AddImage("Newspaper_Defeat_blue.jpg", "blue")',
			[5] = 'NoMoreNewspaper = true',
		},
		['active'] = true,
	},
	['Red Ground Target Briefing Intel'] = {
		['condition'] = 'true',
		['action'] = 'Action.AddGroundTargetIntel("red")',
		['active'] = true,
	},
}
